<?php

if (!defined('IN_PHPBB'))
{
	exit;
}

// Set update info with file structure to update
$update_info = array(
	'version'	=> array('from' => '3.3.4', 'to' => '3.3.5'),
	'files'		=> array(
		'adm/style/acp_bbcodes.html',
		'adm/style/acp_database.html',
		'adm/style/acp_inactive.html',
		'adm/style/acp_styles.html',
		'adm/style/captcha_qa_acp.html',
		'adm/style/installer_footer.html',
		'adm/style/overall_footer.html',
		'adm/style/overall_header.html',
		'adm/style/simple_footer.html',
		'assets/javascript/jquery-3.6.0.min.js',
		'composer.json',
		'composer.lock',
		'download/file.php',
		'includes/acp/acp_attachments.php',
		'includes/acp/acp_bbcodes.php',
		'includes/acp/acp_board.php',
		'includes/acp/acp_database.php',
		'includes/acp/acp_extensions.php',
		'includes/acp/acp_users.php',
		'includes/constants.php',
		'includes/functions.php',
		'includes/functions_acp.php',
		'includes/functions_admin.php',
		'includes/functions_compatibility.php',
		'includes/functions_convert.php',
		'includes/functions_display.php',
		'includes/functions_download.php',
		'includes/functions_mcp.php',
		'includes/functions_messenger.php',
		'includes/functions_posting.php',
		'includes/functions_user.php',
		'includes/mcp/mcp_forum.php',
		'includes/mcp/mcp_front.php',
		'includes/mcp/mcp_main.php',
		'includes/mcp/mcp_post.php',
		'includes/mcp/mcp_queue.php',
		'includes/mcp/mcp_reports.php',
		'includes/mcp/mcp_topic.php',
		'includes/mcp/mcp_warn.php',
		'includes/questionnaire/questionnaire.php',
		'includes/ucp/ucp_attachments.php',
		'includes/ucp/ucp_main.php',
		'includes/utf/utf_tools.php',
		'language/de/README.md',
		'language/de/acp/database.php',
		'language/de_x_sie/README.md',
		'language/de_x_sie/acp/database.php',
		'language/en/acp/database.php',
		'memberlist.php',
		'phpbb/auth/provider/base.php',
		'phpbb/auth/provider/oauth/oauth.php',
		'phpbb/auth/provider/provider_interface.php',
		'phpbb/composer.json',
		'phpbb/config/db.php',
		'phpbb/console/command/db/migrate.php',
		'phpbb/datetime.php',
		'phpbb/db/driver/mysqli.php',
		'phpbb/db/driver/postgres.php',
		'phpbb/db/extractor/postgres_extractor.php',
		'phpbb/db/migration/data/v310/contact_admin_acp_module.php',
		'phpbb/db/migration/data/v330/add_display_unapproved_posts_config.php',
		'phpbb/db/migration/data/v330/remove_attachment_flash.php',
		'phpbb/db/migration/data/v330/remove_max_pass_chars.php',
		'phpbb/db/migration/data/v33x/bot_update_v2.php',
		'phpbb/db/migration/data/v33x/default_search_return_chars.php',
		'phpbb/db/migration/data/v33x/extend_bbcode_tooltip.php',
		'phpbb/db/migration/data/v33x/google_recaptcha_v3.php',
		'phpbb/db/migration/data/v33x/jquery_update_v2.php',
		'phpbb/db/migration/data/v33x/v334.php',
		'phpbb/db/migration/data/v33x/v335.php',
		'phpbb/db/migration/data/v33x/v335rc1.php',
		'phpbb/db/migrator.php',
		'phpbb/db/tools/mssql.php',
		'phpbb/db/tools/postgres.php',
		'phpbb/debug/debug.php',
		'phpbb/event/md_exporter.php',
		'phpbb/event/php_exporter.php',
		'phpbb/event/rst_exporter.php',
		'phpbb/feed/post_base.php',
		'phpbb/feed/topic_base.php',
		'phpbb/file_downloader.php',
		'phpbb/install/controller/helper.php',
		'phpbb/install/module/install_data/task/add_bots.php',
		'phpbb/install/module/update_filesystem/task/diff_files.php',
		'phpbb/install/module/update_filesystem/task/download_updated_files.php',
		'phpbb/install/module/update_filesystem/task/update_files.php',
		'phpbb/log/log.php',
		'phpbb/message/topic_form.php',
		'phpbb/mimetype/guesser_interface.php',
		'phpbb/notification/type/post.php',
		'phpbb/notification/type/post_in_queue.php',
		'phpbb/notification/type/report_post.php',
		'phpbb/notification/type/topic.php',
		'phpbb/notification/type/topic_in_queue.php',
		'phpbb/passwords/driver/argon2i.php',
		'phpbb/search/fulltext_postgres.php',
		'phpbb/search/fulltext_sphinx.php',
		'phpbb/template/template.php',
		'phpbb/template/twig/extension.php',
		'phpbb/template/twig/twig.php',
		'phpbb/user_loader.php',
		'phpbb/version_helper.php',
		'posting.php',
		'search.php',
		'styles/prosilver/style.cfg',
		'styles/prosilver/template/login_body.html',
		'styles/prosilver/template/overall_footer.html',
		'styles/prosilver/template/overall_header.html',
		'styles/prosilver/template/simple_footer.html',
		'styles/prosilver/template/simple_header.html',
		'styles/prosilver/template/viewtopic_body.html',
		'styles/prosilver/theme/base.css',
		'styles/prosilver/theme/bidi.css',
		'styles/prosilver/theme/buttons.css',
		'styles/prosilver/theme/colours.css',
		'styles/prosilver/theme/common.css',
		'styles/prosilver/theme/content.css',
		'styles/prosilver/theme/cp.css',
		'styles/prosilver/theme/forms.css',
		'styles/prosilver/theme/links.css',
		'styles/prosilver/theme/print.css',
		'styles/prosilver/theme/stylesheet.css',
		'styles/prosilver/theme/utilities.css',
		'viewforum.php',
		'viewtopic.php',
	),
	'binary'		=> array(),
	'deleted'		=> array(
		'assets/javascript/jquery-3.5.1.min.js',
	),
);
